// CMAIN LIB - APPLICATION AND DIRECT WRAPPER
//
// Written by Mauricio Teichmann Ritter
//
// Copyright (C) 2002, Brazil. All rights reserved.
// 
//

// cHitChecker.h: interface for the cHitChecker class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHITCHECKER_H__B42D2D92_08E3_11D6_BDF5_0050BA555258__INCLUDED_)
#define AFX_CHITCHECKER_H__B42D2D92_08E3_11D6_BDF5_0050BA555258__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class cHitChecker  
{
public:
//protected:
	HRGN hBoundingPoly;
public:
	void Destroy();
	BOOL HaveHitted(cHitChecker* pHitCheck, int nX, int nY, int nSrcX, int nSrcY);
	void RemovePolyFromBound(LPPOINT lpPoints, int nCount, int iX = 0, int iY = 0);
	void RemoveRectFromBound(int nX, int nY, int nWidth, int nHeight);
	void CreateRectBound(int nWidth,int nHeight);
	void CreatePolygonBound(LPPOINT lpPoints, int nCount);
	cHitChecker();
	virtual ~cHitChecker();

};

#endif // !defined(AFX_CHITCHECKER_H__B42D2D92_08E3_11D6_BDF5_0050BA555258__INCLUDED_)
