// CMAIN LIB - APPLICATION AND DIRECT WRAPPER
//
// Written by Mauricio Teichmann Ritter
//
// Copyright (C) 2002, Brazil. All rights reserved.
// 
//

// cKeyboard.h: interface for the cKeyboard class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CKEYBOARD_H__53F59151_5308_422D_AA8F_B756973E422E__INCLUDED_)
#define AFX_CKEYBOARD_H__53F59151_5308_422D_AA8F_B756973E422E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef DIRECTINPUT_VERSION
#define DIRECTINPUT_VERSION 0x80
#endif

#include "stdafx.h"
#include "cInputDevice.h"

#include <dinput.h>

class cKeyboard : cInputDevice
{
private:
	static LPDIRECTINPUTDEVICE8	m_lpDIKeyboard; 
    static char*				m_KbdBuffer; 
 
public:
	BOOL CheckKey(const int cKey);
	void Process();
	void Destroy();
	BOOL Create();
	cKeyboard();
	virtual ~cKeyboard();

};


#endif // !defined(AFX_CKEYBOARD_H__53F59151_5308_422D_AA8F_B756973E422E__INCLUDED_)
