// CMAIN LIB - APPLICATION AND DIRECT WRAPPER
//
// Written by Mauricio Teichmann Ritter
//
// Copyright (C) 2002, Brazil. All rights reserved.
// 
//

// cMatrix.h: interface for the cMatrix class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMATRIX_H__B42D2D91_08E3_11D6_BDF5_0050BA555258__INCLUDED_)
#define AFX_CMATRIX_H__B42D2D91_08E3_11D6_BDF5_0050BA555258__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class cMatrix  
{
private:
	int m_iRows;
	int m_iCols;

	HANDLE hHeap;
	int* pBuffer;
public:
	void SetBuffer(void* pBuffer);
	void SetValue(int iCol, int iRow, int iValue);
	int GetValue(int iCol, int iRow);
	void Destroy();
	void Create(int iCols, int iRows);
	cMatrix();
	virtual ~cMatrix();

};

#endif // !defined(AFX_CMATRIX_H__B42D2D91_08E3_11D6_BDF5_0050BA555258__INCLUDED_)
