// CMAIN LIB - APPLICATION AND DIRECT WRAPPER
//
// Written by Mauricio Teichmann Ritter
//
// Copyright (C) 2002, Brazil. All rights reserved.
// 
//

// cMouse.h: interface for the cMouse class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CMOUSE_H__33C8CE6D_5081_41BE_A9F6_E133031B6B77__INCLUDED_)
#define AFX_CMOUSE_H__33C8CE6D_5081_41BE_A9F6_E133031B6B77__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "cInputDevice.h"
#include "stdafx.h"

class cMouse : cInputDevice
{
public:
	cMouse();
	virtual ~cMouse();

private:
	long m_lXPos;
	long m_lYPos;

	DWORD m_bButton0;
	DWORD m_bButton1;

	static LPDIRECTINPUTDEVICE8	m_lpDIMouse;
	HANDLE	m_hMouseEvent;
 
public:
	DWORD GetX() { return m_lXPos; };
	DWORD GetY() { return m_lYPos; };

	BOOL GetRightButton() { return m_bButton1; };
	BOOL GetLeftButton() { return m_bButton0; };
	void Process();
	void Destroy();
	BOOL Create();



};

#endif // !defined(AFX_CMOUSE_H__33C8CE6D_5081_41BE_A9F6_E133031B6B77__INCLUDED_)
